package com.fastest.pass.masterlogin.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.masterlogin.presentation.ui.MasterLoginFragment
import com.fastest.pass.masterlogin.utils.MasterLoginRoute
import kotlinx.coroutines.flow.MutableStateFlow

class MasterLoginViewModel : ViewModel() {

    private val _router = MutableStateFlow<MasterLoginRoute>(MasterLoginRoute.OpenNoneScreen)
    val router: MutableStateFlow<MasterLoginRoute> = _router

    fun navigateTo(masterLoginRoute: MasterLoginRoute) {
        _router.value = masterLoginRoute
    }
}